#ifndef _floatArray

#define _floatArray


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <vector2.h>

#include <vector3.h>

#include <text.h>

#include <char.h>

#include <stdlib.h>


typedef struct floatArray{

	unsigned short __classIndex;

	int capacity;

	int total;

	float * items;


} floatArray;

int floatArray_length( floatArray * this );

float floatArray_get( floatArray * this, int index );

void floatArray_set( floatArray * this, int index,  float item );

void floatArray_resize( floatArray * this, int capacity );

void floatArray_addVector2( floatArray * this, struct vector2 * item );

void floatArray_addVector3( floatArray * this, struct vector3 * item );

void floatArray_add( floatArray * this, float item );

void floatArray_delete( floatArray * this, int index );

int floatArray_array_push( floatArray * this, float item );

void floatArray_unshift( floatArray * this, float item );

float floatArray_pop( floatArray * this );

floatArray floatArray_new(  );

floatArray * floatArray_newPointer(  );

#endif
